> ## Documentation Index
> Fetch the complete documentation index at: https://docs.corebanq.com/llms.txt
> Use this file to discover all available pages before exploring further.

# Create recipient

> Create a new payment recipient



## OpenAPI

````yaml post /v1/customers/{customer_id}/recipients
openapi: 3.0.0
info:
  title: Recipients API
  version: 1.0.0
  description: API for managing payment recipients
servers: []
security:
  - bearerAuth: []
tags:
  - name: Recipients
    description: Payment recipient operations
paths:
  /v1/customers/{customer_id}/recipients:
    post:
      tags:
        - Recipients
      summary: Create recipient
      description: Create a new payment recipient
      parameters:
        - name: customer_id
          in: path
          required: true
          schema:
            type: string
            format: uuid
      requestBody:
        required: true
        content:
          application/json:
            schema:
              $ref: '#/components/schemas/RecipientInput'
      responses:
        '201':
          description: Recipient created successfully
          content:
            application/json:
              schema:
                type: object
                properties:
                  recipient:
                    $ref: '#/components/schemas/Recipient'
        '400':
          $ref: '#/components/responses/ValidationError'
        '401':
          $ref: '#/components/responses/UnauthorizedError'
        '403':
          $ref: '#/components/responses/ForbiddenError'
        '422':
          $ref: '#/components/responses/InvalidBICError'
components:
  schemas:
    RecipientInput:
      type: object
      required:
        - iban
        - legal_name
        - country
        - city
        - legal_address
        - bic
        - bank
        - type
      properties:
        iban:
          type: string
        legal_name:
          type: string
        country:
          type: string
          minLength: 2
          maxLength: 2
        city:
          type: string
        legal_address:
          type: string
        bic:
          type: string
          pattern: ^[A-Z]{4}[A-Z]{2}[A-Z0-9]{2}([A-Z0-9]{3})?$
        bank:
          type: string
        type:
          type: string
          enum:
            - business
            - personal
        intermediate_bic:
          type: string
          pattern: ^[A-Z]{4}[A-Z]{2}[A-Z0-9]{2}([A-Z0-9]{3})?$
        intermediate_bank:
          type: string
        intermediate_route:
          type: string
        email:
          type: string
          format: email
        phone:
          type: string
        reference:
          type: string
    Recipient:
      allOf:
        - $ref: '#/components/schemas/RecipientInput'
        - type: object
          required:
            - id
            - customer_id
          properties:
            id:
              type: string
              format: uuid
            customer_id:
              type: string
              format: uuid
    Error:
      type: object
      required:
        - code
        - message
      properties:
        code:
          type: string
        message:
          type: string
  responses:
    ValidationError:
      description: Invalid input data
      content:
        application/json:
          schema:
            $ref: '#/components/schemas/Error'
          example:
            code: recipients.invalid_bic_format
            message: Invalid BIC format
    UnauthorizedError:
      description: Authentication required
      content:
        application/json:
          schema:
            $ref: '#/components/schemas/Error'
          example:
            code: common.unauthorized
            message: Authentication required
    ForbiddenError:
      description: Insufficient permissions
      content:
        application/json:
          schema:
            $ref: '#/components/schemas/Error'
          example:
            code: common.forbidden
            message: Insufficient permissions
    InvalidBICError:
      description: Invalid BIC format
      content:
        application/json:
          schema:
            $ref: '#/components/schemas/Error'
          example:
            code: recipients.invalid_bic_format
            message: Invalid BIC format
  securitySchemes:
    bearerAuth:
      type: http
      scheme: bearer
      bearerFormat: JWT

````